at.chipkarte.client.base.soap

## Class Anspruch

- Object
- - at.chipkarte.client.base.soap.Anspruch

-     public class Anspruch
      extends Object

  Enthält die Daten für einen eigenen Anspruch beziehungsweise für einen abgeleiteten Anspruch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Anspruch()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnspruchsart()` Art des Anspruches.
    `String` | `getId()` ID des Anspruchs (eigener oder abgeleiteter, dient zur Referenzierung dieses Anspruchs in anderen Funktionen).
    `Boolean` | `getKostenanteilsbefreit()` Information ob eine Kostenanteilsbefreiung vorliegt.
    `Boolean` | `getRezeptgebuehrenbefreit()` Information ob eine Rezeptgebührenbefreiung vorliegt.
    `String` | `getSvtCode()` Für den (eigenen oder abgeleiteten) Anspruch zuständiger Krankenversicherungsträger.
    `Boolean` | `getSvtUebersteuert()` Kennzeichen ob der KVT der Eingabe mit einem automatisch ermittelten Träger übersteuert wurde.
    `SvPersonV2` | `getVersichertenDaten()` Personendaten des Versicherten (Person von der der Anspruch abgeleitet ist).
    `String` | `getVersicherungsart()` Art der Versicherung.
    `String` | `getVersicherungskategorie()` Kategorie der Versicherung.
    `void` | `setAnspruchsart(String anspruchsart)`
    `void` | `setId(String id)`
    `void` | `setKostenanteilsbefreit(Boolean kostenanteilsbefreit)`
    `void` | `setRezeptgebuehrenbefreit(Boolean rezeptgebuehrenbefreit)`
    `void` | `setSvtCode(String svtCode)`
    `void` | `setSvtUebersteuert(Boolean svtUebersteuert)`
    `void` | `setVersichertenDaten(SvPersonV2 versichertenDaten)`
    `void` | `setVersicherungsart(String versicherungsart)`
    `void` | `setVersicherungskategorie(String versicherungskategorie)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Anspruch

          public Anspruch()

  - ### Method Detail

    - #### getId

          public String getId()

      ID des Anspruchs (eigener oder abgeleiteter, dient zur Referenzierung dieses Anspruchs in anderen Funktionen).
      Format: maximal 19-stellig
      Angabe: Kann.
      Returns:
        ID.

    - #### setId

          public void setId(String id)

    - #### getSvtCode

          public String getSvtCode()

      Für den (eigenen oder abgeleiteten) Anspruch zuständiger Krankenversicherungsträger.
      Mögliche Werte siehe Funktion `getSVTs`
      Format: 2-stellig
      Angabe: Muss.
      Returns:
        KVT-Code.

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### getVersichertenDaten

          public SvPersonV2 getVersichertenDaten()

      Personendaten des Versicherten (Person von der der Anspruch abgeleitet ist).
      Angabe: Kann.
      Returns:
        SvPersonV2.

    - #### setVersichertenDaten

          public void setVersichertenDaten(SvPersonV2 versichertenDaten)

    - #### getKostenanteilsbefreit

          public Boolean getKostenanteilsbefreit()

      Information ob eine Kostenanteilsbefreiung vorliegt.
      Angabe: Kann.
      Returns:
        kostenanteilsbefreit

    - #### setKostenanteilsbefreit

          public void setKostenanteilsbefreit(Boolean kostenanteilsbefreit)

    - #### getRezeptgebuehrenbefreit

          public Boolean getRezeptgebuehrenbefreit()

      Information ob eine Rezeptgebührenbefreiung vorliegt.
      Angabe: Kann.
      Returns:
        rezeptgebührenbefreit

    - #### setRezeptgebuehrenbefreit

          public void setRezeptgebuehrenbefreit(Boolean rezeptgebuehrenbefreit)

    - #### getAnspruchsart

          public String getAnspruchsart()

      Art des Anspruches.
      Mögliche Werte siehe `Anspruchsart`.
      Angabe: Kann.
      Returns:
        Anspruchsart.

    - #### setAnspruchsart

          public void setAnspruchsart(String anspruchsart)

    - #### getVersicherungsart

          public String getVersicherungsart()

      Art der Versicherung.
      Mögliche Werte siehe `Versichertenart`.
      Angabe: Kann.
      Returns:
        Art der Versicherung

    - #### setVersicherungsart

          public void setVersicherungsart(String versicherungsart)

    - #### getVersicherungskategorie

          public String getVersicherungskategorie()

      Kategorie der Versicherung.
      Mögliche Werte siehe `Versichertenkategorie`.
      Angabe: Kann.
      Returns:
        Kategorie der Versicherung

    - #### setVersicherungskategorie

          public void setVersicherungskategorie(String versicherungskategorie)

    - #### getSvtUebersteuert

          public Boolean getSvtUebersteuert()

      Kennzeichen ob der KVT der Eingabe mit einem automatisch ermittelten Träger übersteuert wurde.
      Angabe: Kann.
      Returns:
        SVT übersteuert

    - #### setSvtUebersteuert

          public void setSvtUebersteuert(Boolean svtUebersteuert)